com.tibbo.aggregate.common.agent

## Class AgentImplementationController

- java.lang.Object
- - com.tibbo.aggregate.common.protocol.AbstractClientController<T>
  - - com.tibbo.aggregate.common.protocol.DefaultClientController
    - - com.tibbo.aggregate.common.agent.AgentImplementationController

- All Implemented Interfaces:
    CommandParserListener

      public class AgentImplementationController
      extends DefaultClientController

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.tibbo.aggregate.common.protocol.DefaultClientController

      `DefaultClientController.ForwardingEventListener`

  - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.protocol.DefaultClientController

      `discardedEventsCount, json, KEEP_ALIVE_PERIOD, knownFormatCollector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentImplementationController(BlockingChannel dataChannel, ContextManager contextManager, java.util.concurrent.ExecutorService commandExecutionService, FormatCache formatCache, DataTableRegistry dataTableRegistry, java.lang.Integer maxEventQueueLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `controllerShouldHandle(Event ev, ContextEventListener listener)`
    `protected ClassicEncodingSettings` | `createClassicEncodingSettings(boolean useFormatCache)`
    `KnownFormatCollector` | `getKnownFormatCollector()`
    `protected OutgoingAggreGateCommand` | `processMessageOperation(IncomingAggreGateCommand cmd, OutgoingAggreGateCommand ans)`

    - ### Methods inherited from class com.tibbo.aggregate.common.protocol.DefaultClientController

      `addCustomListeners, addNormalListener, callFunction, constructEventCommand, createListener, discardEvent, getAddress, getContext, getDefaultEventListener, getDiscardedEventsCount, getErrorDetails, getFunctionDefinition, getLastDataTimestamp, getPendingEventsCount, getStartMessageCount, getVariable, getVariableDefinition, isConnected, isJson, logoutUser, newDataReceived, processCommand, processMessage, processMessageStart, processOperationAddEventListener, processOperationCallFunction, processOperationGetVar, processOperationRemoveEventListener, processOperationSetVar, run, runImpl, searchForCode, searchForCode, sendCommand, setFormatCache, setKnownFormatCollector, setVariable, shutdown`

    - ### Methods inherited from class com.tibbo.aggregate.common.protocol.AbstractClientController

      `addMaskListener, getCallerController, getContextManager, getEventListeners, removeMaskListener, setCallerController, setContextManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentImplementationController

          public AgentImplementationController(BlockingChannel dataChannel,
                                               ContextManager contextManager,
                                               java.util.concurrent.ExecutorService commandExecutionService,
                                               FormatCache formatCache,
                                               DataTableRegistry dataTableRegistry,
                                               java.lang.Integer maxEventQueueLength)

  - ### Method Detail

    - #### processMessageOperation

          protected OutgoingAggreGateCommand processMessageOperation(IncomingAggreGateCommand cmd,
                                                                     OutgoingAggreGateCommand ans)
                                                              throws SyntaxErrorException,
                                                                     ContextException

      Overrides:
        `processMessageOperation` in class `DefaultClientController`
      Throws:
        `SyntaxErrorException`
        `ContextException`

    - #### controllerShouldHandle

          public boolean controllerShouldHandle(Event ev,
                                                ContextEventListener listener)
                                         throws EventHandlingException

      Specified by:
        `controllerShouldHandle` in class `DefaultClientController`
      Throws:
        `EventHandlingException`

    - #### createClassicEncodingSettings

          protected ClassicEncodingSettings createClassicEncodingSettings(boolean useFormatCache)

      Overrides:
        `createClassicEncodingSettings` in class `DefaultClientController`

    - #### getKnownFormatCollector

          public KnownFormatCollector getKnownFormatCollector()